BEGIN BWILLYB



IF ~See(Player1)
!StateCheck(Player1,STATE_SLEEPING)
Global("PCWillieBruceTalk","GLOBAL",0)~ THEN BEGIN PCwillieBruce
SAY ~If they ever discover the real centre of the Universe, y' gonna be quite disappointed, ain't cha'?~ [WILLY047]
 ++ ~Not as disappointed as you're going to be when all the pubs are closed.~ DO ~SetGlobal("PCWillieBruceTalk","GLOBAL",1)~ GOTO PCWillieBruce1
 ++ ~What makes you think it will turn out to be other than me?~ DO ~SetGlobal("PCWillieBruceTalk","GLOBAL",1)~ GOTO PCWillieBruce2
 ++ ~What is it you're fond of saying again? 'BE QUIET YOU SLAG!'~ DO ~SetGlobal("PCWillieBruceTalk","GLOBAL",1)~ GOTO PCWillieBruce3
END

IF ~~ THEN BEGIN PCWillieBruce1
 SAY ~Mate, y'v not seen aa much booze I've got in me backpack.~
 IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN PCWillieBruce2
 SAY ~Cum t' fink of it, I'm feelin' a tuch dizzy. Maybe I'm in orbit, innit?~
 IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN PCWillieBruce3
 SAY ~Nah...SHUT IT U SLAG!~
 IF ~~ THEN EXIT
END



CHAIN
IF ~InParty("Aerie")
See("Aerie")
!StateCheck("Aerie",STATE_SLEEPING)
Global("AerieWillieBruceTalk","GLOBAL",0)~ THEN BWILLYB WBAerieBooHoo
~Oh, boo hoo hoo! Life is so 'ard, innit luv?~ [WILLY048]
DO ~SetGlobal("AerieWillieBruceTalk","GLOBAL",1)~
== BAERIE
~You are a cruel man, Willie! A-apparently life is too hard for you be-because you bury your life in a bottle!~
== BWILLYB
~That's the spirit girl, a bit less whining and come out fighting! We've all had our problems, luv. Get over it.~
== BAERIE
~You c-cannot understand my problems!~
== BWILLYB
~Oh, f' faack sake: stop whining!~
EXIT



CHAIN
IF ~InParty("Anomen")
See("Anomen")
!StateCheck("Anomen",STATE_SLEEPING)
Global("AnomenWillieBruceTalk","GLOBAL",0)~ THEN BWILLYB WBAnomenVoice
~Oi oi, don't we talk posh!~ [WILLY049]
DO ~SetGlobal("AnomenWillieBruceTalk","GLOBAL",1)~
== BANOMEN
~Do not anger me, drunkard!~
== BWILLYB
~Why? Y' gonna get y' boyfriend to beat me up?~
== BANOMEN
~I will not rise to take your bait, inebriate! You are not worth the energy it would take me to draw my weapon.~
== BWILLYB
~All puffed out from being bummed, r ya?~
== BANOMEN
~You should try standing downwind: it's Miller Time.~
EXIT



CHAIN
IF ~InParty("Cernd")
See("Cernd")
!StateCheck("Cernd",STATE_SLEEPING)
Global("CerndWillieBruceTalk","GLOBAL",0)~ THEN BWILLYB WBCerndMum
~How's ya mum?~ [WILLY050]
DO ~SetGlobal("CerndWillieBruceTalk","GLOBAL",1)~
== BCERND
~My mother is the Great Mother, and I strive to keep her well.~
== BWILLYB
~If I understood that correctly, y've also abandoned y' dear ol' mum, s'well as y' misses.~
== BCERND
~I have a greater mission in life. My family understands that sacrifices must be made.~
== BWILLYB
~Pull the other one.~
EXIT



CHAIN
IF ~InParty("Edwin")
See("Edwin")
!StateCheck("Edwin",STATE_SLEEPING)
Global("EdwinWillieBruceTalk","GLOBAL",0)~ THEN BWILLYB WBEdwinWord
~One more word out of you, and I'll faackin sort you out, chav!~ [WILLY051]
DO ~SetGlobal("EdwinWillieBruceTalk","GLOBAL",1)~
== BEDWIN
~(This imbecile has the intelligence to string a simple sentence together after all.)~
=
~Sort me out? Chav? What is this nonsense you speak?~
== BWILLYB
~'Old on! I know you. You're that bloke wot woz dahn the Gray Lion, init?~
== BEDWIN
~Gray Lion? I think the spirits in your fat belly are doing the talking now, for you seem to be scarcely able to pronounce anything.~
== BWILLYB
~Yeah, it woz you. You asked me to go inna bogs wiv ya for a bita "straight-on-straight".~
== BEDWIN
~What? I will listen to more to your incomprehensible ramblings!~
== BWILLYB
~You should be ashameda y'self, mate. That's a family pub!~
== BEDWIN
~Silence, illiterate inebriate!~
== BWILLYB
~SHUT IT, shirtlifter!~
EXIT



CHAIN
IF ~InParty("Haerdalis")
See("Haerdalis")
!StateCheck("Haerdalis",STATE_SLEEPING)
Global("HaerdalisWillieBruceTalk","GLOBAL",0)~ THEN BWILLYB WBHaerdalisMusic
~What the bloody 'ell do you fink ya playin' at?~ [WILLY052]
DO ~SetGlobal("HaerdalisWillieBruceTalk","GLOBAL",1)~
== BHAERDA
~I am playing a tune that I picked up just before I left Sigil. Would you like to hear the rest of it?~
== BWILLYB
~Err, d'y not know anyfin' by Chaz n' Dave?~
== BHAERDA
~Who? No, I'm afraid their music is not well-known on the planes, my world-bound friend.~
== BWILLYB
~You're not a bad bloke for a fairy. Hows about a bit of a knees up?~
== BHAERDA
~I am a tiefling, not a "fairy." And what's a "knees up"?~
== BWILLYB
~A dance, mate, a dance.~
EXIT



CHAIN
IF ~InParty("Imoen2")
See("Imoen2")
!StateCheck("Imoen2",STATE_SLEEPING)
Global("ImoenWillieBruceTalk","GLOBAL",0)~ THEN BWILLYB WBImmyKitchen
~If you'd stayed at home in the kitchen, and stayed away from all that magic, you'da saved y'self a lotta strife, luv.~ [WILLY053]
DO ~SetGlobal("ImoenWillieBruceTalk","GLOBAL",1)~
== IMOEN2J
~I never worked in the kitchen. I was raised as Gorion's ward and was never a scullery girl!~
== BWILLYB
~Proves my point exactly: if this Gorion geeza had raised ya normal, then you wouldn'ta made a pigs ear of ya life.~
== IMOEN2J
~What's normal? Living a boring, sheltered, cloistered life? I have a gift for magic, and I use it well!~
== BWILLYB
~*Yawn.* All different in the same way, eh luv?~
EXIT



CHAIN
IF ~InParty("Jaheira")
See("Jaheira")
!StateCheck("Jaheira",STATE_SLEEPING)
Global("JaheiraWillieBruceTalk","GLOBAL",0)~ THEN BWILLYB WBJaheiraPikey
~I faackin' hate pikeys!~ [WILLY054]
DO ~SetGlobal("JaheiraWillieBruceTalk","GLOBAL",1)~
== BJAHEIR
~Hmmm?~
== BWILLYB
~D'ya like dags?~
== BJAHEIR
~Dags?~
== BWILLYB
~Yea, dags!~
== BJAHEIR
~Oh, dogs! Yes, I find the company of a dog, or any of Nature's children, quite enjoyable.~
== BWILLYB
~Thought as much.~
EXIT



CHAIN
IF ~InParty("Jan")
See("Jan")
!StateCheck("Jan",STATE_SLEEPING)
Global("JanWillieBruceTalk","GLOBAL",0)~ THEN BWILLYB WBJanSafe
~I bet u know y' way rand the inside of a safe, ey, ey?~ [WILLY055]
DO ~SetGlobal("JanWillieBruceTalk","GLOBAL",1)~
== BJAN
~I'm not a safecracker, if that's what you mean.~
=
~But funny you mention it, because the theme of safecracking reminds me of a mildly-amusing anecdote about a third-cousin of mine, twice removed mind you. His name was Naj, and he had the strangest habit of always--~
== BWILLYB
~You've got more bunny than Sainsbury's. Why don't cha give it a rest!~
== BJAN
~I don't know anyone by that name, but it is certain that you cannot appreciate a good story.~
EXIT



CHAIN
IF ~InParty("Keldorn")
See("Keldorn")
!StateCheck("Keldorn",STATE_SLEEPING)
Global("KeldornWillieBruceTalk","GLOBAL",0)~ THEN BWILLYB WBKeldornSlap
~Bit'a the old slap th' misses ey, ey? U luv it u slag!~ [WILLY056]
DO ~SetGlobal("KeldornWillieBruceTalk","GLOBAL",1)~
== BKELDOR
~Listen to me, you degenerate! You will not take that kind of tone with a servant of the church!~
== BWILLYB
~...said the nonce to the choir boy.~
== BKELDOR
~You possess an incredible lack of wit, Willie. Perhaps it is best you remain silent, lest you incriminate yourself.~
EXIT



CHAIN
IF ~InParty("Korgan")
See("Korgan")
!StateCheck("Korgan",STATE_SLEEPING)
Global("KorganWillieBruceTalk","GLOBAL",0)~ THEN BWILLYB WBKorganFat
~'Ello fat bloke!~ [WILLY057]
DO ~SetGlobal("KorganWillieBruceTalk","GLOBAL",1)~
== BKORGAN
~Ah've got the weight to heft me axe and split yer skull open, leave ye stone-dead and good-riddance, too!~
== BWILLYB
~Ah, you're a right handful, aincha boy!~
== BKORGAN
~Ah'll give ye a handful!~
== BWILLYB
~Cor! No wonder the seats are all broken on the bogs in the pub, with an arse like that!~
== BKORGAN
~Nevermind the broken seats! Yer gonna 'ave a broken head in a minute!~
== BWILLYB
~You don't sweat much for a fat bloke.~
== BKORGAN
~Ah don' know whether I should kill ye or buy ye a drink! Ye've got guts ta keeping on blabbing like that.~
== BWILLYB
~Drink gets my vote!~
EXIT



CHAIN
IF ~InParty("Mazzy")
See("Mazzy")
!StateCheck("Mazzy",STATE_SLEEPING)
Global("MazzyWillieBruceTalk","GLOBAL",0)~ THEN BWILLYB WBMazzyLovely
~You scrub up luvley for a halfling bird!~ [WILLY058]
DO ~SetGlobal("MazzyWillieBruceTalk","GLOBAL",1)~
== BMAZZY
~I am not here to impress you, Willie. Just go back to your bottle.~
== BWILLYB
~Will do darlin', but hows about you accompany me to it?~
== BMAZZY
~Ugh, sewer water is suited to your tastes, not mine.~
== BWILLYB
~Would you prefer a mouth full of man-fat?~
== BMAZZY
~Such an offer assumes that you are, indeed, a *man*.~
EXIT



CHAIN
IF ~InParty("Minsc")
See("Minsc")
!StateCheck("Minsc",STATE_SLEEPING)
Global("MinscWillieBruceTalk","GLOBAL",0)~ THEN BWILLYB WBMinscButtkicking
~So anyway mate, let's go out on the piss in Rashemen sometime.~ [WILLY059]
DO ~SetGlobal("MinscWillieBruceTalk","GLOBAL",1)~
== BMINSC
~You want to piss on Rashemen?~
== BWILLYB
~No, no, 'on the piss'. They must have some good pubs where your from right?~
== BMINSC
~Of course! But strangers are not welcome to drink there! The Rashemi will watch you closely, and your outlandish accent will certainly draw attention.~
== BWILLYB
~(Knackers.)~
EXIT



CHAIN
IF ~InParty("Nalia")
See("Nalia")
!StateCheck("Nalia",STATE_SLEEPING)
Global("NaliaWillieBruceTalk","GLOBAL",0)~ THEN BWILLYB WBNaliaPony
~So tell me dahlin', 'ow old were ya when ya got y'first pony?~ [WILLY060]
DO ~SetGlobal("NaliaWillieBruceTalk","GLOBAL",1)~
== BNALIA
~Five.~
== BWILLYB
~Is it true what they say about girls and horses?~
== BNALIA
~Um, no. What are you getting at? Are you still drunk?~
== BWILLYB
~You say that as if I'm ever sober!~
== BNALIA
~(Nalia looks at Willie with infinite scorn.) Silly me.~
EXIT



CHAIN
IF ~InParty("Valygar")
See("Valygar")
!StateCheck("Valygar",STATE_SLEEPING)
Global("ValygarWillieBruceTalk","GLOBAL",0)~ THEN BWILLYB WBValygarSort
~I remember when your sort didn't even 'av two gold to rub together.~ [WILLY061]
DO ~SetGlobal("ValygarWillieBruceTalk","GLOBAL",1)~
== BVALYGA
~What do you mean, "my sort"?~
== BWILLYB
~Take your pick, mate: rastas, loners, rangers.~
== BVALYGA
~Yes, rangers are not the richest of men, but we do not depend on wealth, nor do we crave it.~
=
~We have a higher calling in life.~
== BWILLYB
~Since when was being a zoo-keeper a higher calling?~
== BVALYGA
~Since when was a drunk an adventurer?~
== BWILLYB
~Since always, mate! Where the hell have *you* been?~
EXIT



CHAIN
IF ~InParty("Viconia")
See("Viconia")
!StateCheck("Viconia",STATE_SLEEPING)
Global("ViconiaWillieBruceTalk","GLOBAL",0)~ THEN BWILLYB WBViconiaUnderdarkie
~You mean to tell me that down in the underdarkie, all the guvnaz are in fact birds?~ [WILLY062]
DO ~SetGlobal("ViconiaWillieBruceTalk","GLOBAL",1)~
== BVICONI
~Males are too weak to rule.~
=
~You are living proof of males' faintness: when life gets tough, you crawl inside a bottle.~
== BWILLYB
~You're mistaken, luv. I'm shit-faced all the time, regardless of how tough life is or isn't.~
== BVICONI
~Fine. Agreed. Just do not presume to speak to me again.~
EXIT



CHAIN
IF ~InParty("Yoshimo")
See("Yoshimo")
!StateCheck("Yoshimo",STATE_SLEEPING)
Global("YoshimoWillieBruceTalk","GLOBAL",0)~ THEN BWILLYB WBYoshimoOrder
~I'll 'av a #7, a #32, and a bag of prawn crackers, please mate.~ [WILLY063]
DO ~SetGlobal("YoshimoWillieBruceTalk","GLOBAL",1)~
== BYOSHIM
~What are these numbers you are talking about? Do I look like a waiter to you?~
== BWILLYB
~Don't gimme no lip, or I'll get the manager!~
== BYOSHIM
~Willie, do everyone a favour and save your breath to cool your porridge.~
EXIT

